实施AEM的基本要求

Adobe Experience Manager GA小站 921次浏览 已收录 0个评论

Adobe在不同平台上对Adobe Experience Manager(AEM)的支持详细信息如下:,

实施AEM的基本要求

基本要求

安装Adobe Experience Manager的最低要求:

  • 已安装的Java平台,标准版JDK或其他受支持的Java虚拟机
  • Experience Manager快速入门文件(独立JAR或Web应用程序部署WAR)

 

最小存储要求

 运行Adobe Experience Manager的最低要求:

  • 安装目录中有5 GB可用磁盘空间
  • 2 GB内存

 

注意:

  • 数字资产用例需要更多的基本内存。
  • AEM Forms附加软件包需要15 GB的临时空间。

 

支持级别

本文档列出了Adobe Experience Manager支持的客户端和服务器平台。Adobe提供了多种级别的支持,包括推荐配置和其他配置。

 

支持的配置

Adobe建议使用这些配置,并作为标准软件维护协议的一部分提供全面支持。

支持级别 描述
A:支持 Adobe为此配置提供全面支持和维护。Adobe的质量保证流程涵盖了此配置。
R:受限制的支持 为了确保我们的客户项目成功,Adobe在受限制的支持计划中提供全面支持,该计划要求满足特定条件。R级支持需要Adobe正式的客户请求和确认。有关更多信息,请联系Adobe客户服务中心。

不支持的配置

支持级别 描述
Z:不支持 不支持配置。Adobe不会对配置是否有效做任何声明,也不支持。

支持的平台

Java虚拟机

AEM可以在由Java Development Kit(JDK)发行版提供虚拟机上运行,支持一下版本:

 

平台 支持级别
Oralce Java SE 11 JDK [1] Z:不支持 
Oracle Java SE 10 JDK [1] Z:不支持 
Oracle Java SE 9 JDK [1] Z:不支持
Oracle Java SE 8 JDK – 64位 A:支持[3]
IBM J9 VM – 构建2.9,JRE 1.8.0 [2] A:支持
IBM J9 VM – 构建2.8,JRE 1.8.0 [2] A:支持
  1. Oracle已经转向Oracle Java SE产品的“长期支持”(LTS)模型。Java 9和10是Oracle的非LTS版本。Adobe将仅为LTS版本的Java提供支持,以便在生产中运行AEM。
  2. IBM JRE仅与WebSphere Application Server一起支持。
  3. 对于使用Oracle Java SE技术的所有AEM客户,Adobe将直接支持和分发Oracle Java SE JDK,包括公共更新结束后LTS版本的所有维护更新 。

 

 

存储和持久性

存在各种选项来部署Adobe Experience Manager存储库。有关支持的技术和存储选项,请参阅以下列表。

平台 描述 支持级别
带有TAR文件的文件系统[1] 知识库 A:支持
带数据存储的文件系统[1] 二进制 A:支持
将二进制文件存储在文件系统[1]上的TAR文件中 二进制 Z:不支持
亚马逊S3 二进制 A:支持
Microsoft Azure Blob存储 二进制 A:支持
MongoDB Enterprise 3.6 [5] 知识库 A:支持
MongoDB Enterprise 3.4 [2,3] 知识库 A:支持
MySQL 5.7 表格数据库 A:支持
IBM DB2 11.1 表格数据库 A:支持
IBM DB2 10.5 存储库和表单数据库 R:限制性支持(4)
Oracle Database 12c(12.1.x) 存储库和表单数据库 R:受限制的支持
Microsoft SQL Server 2017 表格数据库 Z:不支持(4)
Microsoft SQL Server 2016 表格数据库 A:支持
Microsoft SQL Server 2014 表格数据库 R:限制性支持(4)
Apache Lucene(Quickstart内置) 搜索服务 A:支持
Apache Solr 搜索服务 A:支持
  1. “文件系统”包括符合POSIX的块存储。这包括网络存储技术。请注意,文件系统性能可能会有所不同并影响整体性能。建议将测试AEM与网络/远程文件系统结合使用。
  2. AEM不支持MongoDB Sharding。
  3. 仅支持MongoDB存储引擎WiredTiger。
  4. AEM表格不支持。
  5. 从AEM版本4.2.0开始支持MongoDB Enterprise 3.6。

 

Servlet引擎/应用程序服务器

Adobe Experience Manager既可以作为独立服务器(快速入门JAR文件)运行,也可以作为第三方应用程序服务器(WAR文件)中的Web应用程序运行。

所需的最小Servlet API版本是Servlet 3.1,但低于Servlet 4.0。

平台 支持级别
Quickstart内置Servlet引擎(Jetty 9.3) A:支持
Oracle WebLogic Server 12.2(12cR2) A:支持
使用Web Profile 7.0和IBM JRE 1.8的IBM WebSphere Application Server持续交付(LibertyProfile) A:支持
IBM WebSphere Application Server 9.0 A:支持
Apache Tomcat 8.5.x A:支持
带有JBoss Application Server的JBoss EAP 7.1.0 A:支持(1)
带有JBoss Application Server的JBoss EAP 7.0.0 A:支持
  1. AEM表格不支持。

 

服务器操作系统

Adobe Experience Manager可与以下服务器平台配合使用:

平台 支持级别
Linux,基于Red Hat发行版 A:支持(1)
Linux,基于Debian发行版,包括。Ubuntu的 A:支持(4)
Linux,基于SUSE发行版 A:支持
Microsoft Windows Server 2016 A:支持
Microsoft Windows Server 2012 R2 A:支持
Oracle Solaris 11 A:受限制支持(3,5,7)
R:对新合同的限制支持
IBM AIX 7.2 A:受限制(2,5,7)
R:对新合同的限制支持
  1. Linux Kernel 2.6,3.x和x包括Red Hat发行版的衍生产品,包括Red Hat Enterprise Linux,CentOS,Oracle Linux和Amazon Linux。AEM表单附加功能仅在CentOS 7和Red Hat Enterprise Linux 6.5和7上受支持。
  2. AEM资产:请参阅支持XMP元数据回写一节
  3. AEM资产:不支持动态媒体成像。支持动态媒体视频。
  4. AEM表单仅在Ubuntu 16.04 LTS上受支持。
  5. AEM资产:不支持原始文件转换
  6. AEM表格:不支持生产环境
  7. AEM资产:不支持增强型PDF Rasterizer
  8. AEM表格:不支持

 

虚拟和云计算环境

Adobe Experience Manager支持在云计算环境(例如Microsoft Azure和Amazon Web Services(AWS))上的虚拟机中运行,符合本页列出的技术要求,并且符合Adobe的标准支持条款。

Adobe建议使用Adobe Managed Services在Azure或AWS上部署AEM。Adobe Managed Services有专家提供在这些云计算环境中部署和操作AEM的经验和技能。

在Azure或AWS或任何其他云计算环境中部署AEM的所有其他情况下,Adobe的支持将包含在虚拟计算环境中,符合本页列出的技术规范。任何报告的与在任何这些云环境中运行的AEM相关的问题都需要独立于云计算环境特定的任何云服务进行重现,除非云服务作为本页列出的技术要求的一部分得到特别支持,例如Azure Blob存储或AWS S3。

有关如何在Azure托管服务之外的Azure或AWS上部署AEM的建议,我们强烈建议您直接与支持在您选择的云环境中部署AEM的云提供商或Adobe合作伙伴合作。选定的云提供商或合作伙伴将负责架构的规模调整,设计和实施,以满足您的特定性能,负载,可扩展性和安全要求。

 

调度程序平台(Web服务器)

Dispatcher是缓存和负载平衡组件。 下载最新的Dispatcher版本。Experience Manager 6.4需要Dispatcher版本4.3.1或更高版本。

支持以下Web服务器与Dispatcher 4.3.1版一起使用:

平台 支持级别
Apache httpd 2.4.x [1,2] A:支持
Microsoft IIS 10(Internet Information Server) A:支持
Microsoft IIS 8.5(Internet Information Server) A:支持
  1. 基于Apache httpd源代码构建的Web服务器将具有与其所基于的httpd版本相同的支持级别。如有疑问,请要求Adobe确认与相应服务器产品相关的支持级别。以下情况:
    1. HTTP服务器仅使用官方Apache源代码分发或构建
    2. HTTP服务器作为运行它的操作系统的一部分提供。示例:IBM HTTP Server,Oracle HTTP Server
  2. Dispatcher不适用于Windows 2.4操作系统的Ap​​ache 2.4.x.

支持的客户端平台

支持的用于创作用户界面的浏览器

Adobe Experience Manager用户界面适用于以下客户端平台。所有浏览器都使用默认的插件和附加组件进行测试。

AEM用户界面针对大屏幕(通常是笔记本电脑和台式电脑)和平板电脑外形(如Apple iPad或Microsoft Surface)进行了优化。不支持手机外形。

 

浏览器 支持UI 支持经典UI
谷歌Chrome(Evergreen) A:支持 A:支持
Microsoft Edge(Evergreen) A:支持 A:支持
Microsoft Internet Explorer 11 A:支持 A:支持
Mozilla Firefox(Evergreen) A:支持 A:支持
Mozilla Firefox上一次ESR [1] A:支持 A:支持
macOS上的Apple Safari 12.x. A:支持 A:支持
macOS上的Apple Safari 11.x. A:支持 A:支持
macOS上的Apple Safari 10.x. A:支持 A:支持
iOS 12.x上的Apple Safari A:支持[2] A:不支持
iOS 11.x上的Apple Safari A:支持[2] Z:不支持
iOS 10.3上的Apple Safari 答:支持[2] Z:不支持
  1. Firefox的扩展支持版本在org上了解有关此内容的更多信息
  2. 支持Apple iPad

 

支持的网站浏览器

通常,对AEM站点呈现的网站的浏览器支持取决于AEM页面模板,设计和组件输出的实现,因此可以控制实现这些部分的一方。

 

WebDAV客户端

Microsoft Windows 7+

要成功将Microsoft Windows 7+连接到未使用SSL保护的AEM实例,必须在Windows中启用基于不安全网络的基本身份验证。这需要更改WebClient的Windows注册表:

  1. 找到注册表子项:
    • HKEY_LOCAL_MACHINE \系统\ CurrentControlSet \服务\ Web客户端\参数
  2. 使用值2或更多将BasicAuthLevel注册表项添加到此子项。

其他平台说明

IPv4IPv6

Adobe Experience Manager(实例,调度程序)的所有元素都可以安装在IPv4和IPv6网络中。

操作无缝,因为不需要特殊配置。如有必要,您只需使用适合您的网络类型的格式指定IP地址即可。

这意味着当需要指定IP地址时,您可以从以下位置选择(根据需要):

  • IPv6地址
    ,例如http:// [ab12 :: 34c5:6d7:8e90:1234]:4502
  • IPv4地址
    ,例如http://123.1.1.4:4502
  • 服务器名称
    ,例如http://www.yourserver.com:4502
  • 将为IPv4和IPv6网络安装解释localhost的默认情况,
    例如http:// localhost:4502

 

AEM动态媒体附加组件的要求

默认情况下禁用AEM动态媒体,  启用动态媒体,有以下附加技术要求适用。

硬件

以下硬件要求适用于Linux和Windows:

  • 具有至少4个内核的Intel Xeon或AMD Opteron CPU
  • 最低16GB的RAM

Linux

如果在Linux上使用Dynamic Media,则需要满足以下先决条件: 

  • RedHat Enterprise 7或CentOS 7及更高版本,带有最新的修补程序
  • 64位操作系统
  • 交换禁用(推荐)
  • SELinux已禁用(请参阅下面的注释)

Widow

  • Microsoft Windows Server 2016
  • 交换空间至少等于物理内存量(RAM)的两倍

要在Windows上使用动态媒体,必须安装适用于x64和x86的Microsoft Visual Studio 2010,2013和2015可再发行组件。

64位

苹果系统

  • 9.x及更高版本
  • 仅支持试用和演示目的

 

AEM表格PDF生成器的要求

产品 支持的转换为PDF格式
Acrobat 2017经典 XPS,图像格式(BMP,GIF,JPEG,JPG,TIF,TIFF,PNG,JPF,JPX,JP2,J2K,J2C,JPC),HTML,HTM,DWG,DXF和DWF
Microsoft®Project2016 MPP
Microsoft®Publisher2016 PUB
Microsoft®OfficeVisio 2016 VSD
Microsoft®Office2016 DOC,DOCX,XLS,XLSX,PPT,PPTX,RTF和TXT
Microsoft®Office2013 DOC,DOCX,XLS,XLSX,PPT,PPTX,RTF和TXT
Corel WordPerfect X7 WP,WPD
OpenOffice 4.1.2 ODT,ODP,ODS,ODG,ODF,SXW,SXI,SXC,SXD,XLS,XLSX,DOC,DOCX,PPT,PPTX,图像格式(BMP,GIF,JPEG,JPG,TIF,TIFF,PNG,JPF,JPX ,JP2,J2K,J2C,JPC),HTML,HTM,RTF和TXT
OpenOffice 3.4 ODT,ODP,ODS,ODG,ODF,SXW,SXI,SXC,SXD,XLS,XLSX,DOC,DOCX,PPT,PPTX,图像格式(BMP,GIF,JPEG,JPG,TIF,TIFF,PNG,JPF,JPX ,JP2,J2K,J2C,JPC),HTML,HTM,RTF和TXT

注意:

PDF Generator仅支持支持的操作系统和应用程序的英语,法语,德语和日语版本。

此外:

  • PDF生成器需要Acrobat 2017经典轨道版本011.30078或更高版本才能执行转换。
  • AEM Forms仅支持32位版本的受支持软件。
  • 仅在Microsoft Windows上支持OCR PDF(可搜索PDF),优化PDF和导出PDF功能。
  • AIX上不推荐使用HTML2PDF服务。
  • 只有Windows,Linux和Solaris支持OpenOffice的PDF生成器转换。
  • 仅在Windows上支持OCR PDF,优化PDF和导出PDF功能。
  • Acrobat的一个版本与AEM Forms捆绑在一起以启用PDF Generator功能。捆绑版本只能在AEM表单许可证期限内以AEM表格的形式编程访问,以便与AEM表格PDF生成器一起使用。有关更多信息,请参阅AEM Forms产品说明(根据您的部署(内部部署或  托管服务))

 

AEM资产的要求XMP元数据回写

支持并启用以下平台和文件格式的XMP回写:

操作系统

文件格式

  • JPEG
  • PNG
  • TIFF
  • PDF
  • INDD
  • AI
  • EPS

AEM屏幕播放器的要求

AEM Screens Player版本3.3.x支持以下操作系统:

  • Microsoft Windows 10企业版LTSB
  • 谷歌Chome OS 62+
  • 谷歌Android 5.1.1与更新的Android系统WebView版本52+
  • Apple iOS 10.3+
  • Apple macOS 10.12+

 

 

 

基本上就是要部署AEM,首先有两个前提:

一个是要有Java,AEM只支持LTS版本的java

一个是存储和硬盘的大小,内存至少2G,硬盘至少5G

(动态媒体默认是关闭的,如许开启会有更高的设备要求,不同的系统类型要求不同)

 

然后就是其他几个必要的条件,可以分为服务端和客户端,服务端有:

存储:支持的数据库类型

服务器操作系统:支持的服务器操作系统

云计算环境的支持

调度控制平台的支持

 

客户端有:

C端也就是浏览器的支持

 


GA小站, 版权所有丨如未注明 , 均为原创

转载请注明标题:实施AEM的基本要求
链接:https://www.ichdata.com/aem-technical-requirements.html

喜欢 (1)
[hyz1100@126.com]
分享 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址